import { User } from "../domain/userEntity";
import { changeUsername } from "../domain/userModel";
import { UpdateUserStore, updateUserUseCase } from "./updateUserUseCase";

const changeUsernameUseCase = (
  store: UpdateUserStore,
  payload: User["username"],
) => {
  return updateUserUseCase<"username">(store, changeUsername, payload);
};

export { changeUsernameUseCase };
